#!/bin/bash

export DB_SERVICE_NAME=${1:-tneal-mysql}
export MYSQL_USER=ucduser
export MYSQL_PASSWORD=password
export MYSQL_DATABASE_NAME=ucdtest
export MYSQL_VERSION=8.0

# Create a persistent mysql instance running in the current namespace/project
# To create an ephemeral instance of MySQL use the mysql-ephemeral template
oc new-app mysql-persistent  --name ${DB_SERVICE_NAME} --labels="ucddbapp=${DB_SERVICE_NAME}" -p DATABASE_SERVICE_NAME="${DB_SERVICE_NAME}-svc" -p MYSQL_USER=${MYSQL_USER} -p MYSQL_PASSWORD=${MYSQL_PASSWORD} -p MYSQL_DATABASE=${MYSQL_DATABASE_NAME} -p MYSQL_VERSION=${MYSQL_VERSION}
